package com.Inc.Travel;

import connection.Values;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.Gallery;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;


public class Menu extends Activity {


	Gallery g1;

	private static final int ID_VerP = 1;
	private static final int ID_Pesq = 2;
	private static final int ID_Def = 3;
	private static final int ID_Sea = 4;
	private static final int ID_Ins = 5;
	private static final int ID_Fav = 6;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.menu);

		ActionItem VerP 		= new ActionItem(ID_VerP, "Ver Perfil", getResources().getDrawable(R.drawable.avatar));
		ActionItem Pesquisar 	= new ActionItem(ID_Pesq, "Pesquisar", getResources().getDrawable(R.drawable.search));
		ActionItem Definicoes 	= new ActionItem(ID_Def, "Definies", getResources().getDrawable(R.drawable.conf));
		ActionItem PesquisarT	= new ActionItem(ID_Sea, "Direes", getResources().getDrawable(R.drawable.search));
		ActionItem Inserir		= new ActionItem(ID_Ins, "Inserir Boleia", getResources().getDrawable(R.drawable.add));
		ActionItem Favoritos	= new ActionItem(ID_Fav, "Favoritos", getResources().getDrawable(R.drawable.fav));


		final QuickAction mQuickAction 	= new QuickAction(this);
		final QuickAction vQuickAction = new QuickAction(this);

		mQuickAction.addActionItem(VerP);
		mQuickAction.addActionItem(Pesquisar);
		mQuickAction.addActionItem(Definicoes);
		vQuickAction.addActionItem(Inserir);
		vQuickAction.addActionItem(PesquisarT);
		vQuickAction.addActionItem(Favoritos);

		//setup the action item click listener
		mQuickAction.setOnActionItemClickListener(new QuickAction.OnActionItemClickListener() {
			public void onItemClick(QuickAction quickAction, int pos, int actionId) {
				ActionItem actionItem = quickAction.getActionItem(pos);
				if(actionId == ID_VerP){
					Intent i = new Intent(Menu.this, Profile.class);
					startActivity(i);
				}
				else if(actionId == ID_Pesq){
					Intent i = new Intent(Menu.this, SearchPeople.class);
					startActivity(i);
				}
				else{	
					Toast.makeText(getApplicationContext(), actionItem.getTitle() + " selected", Toast.LENGTH_SHORT).show();
				}
			}


		});

		vQuickAction.setOnActionItemClickListener(new QuickAction.OnActionItemClickListener() {
			public void onItemClick(QuickAction quickAction, int pos, int actionId) {
				ActionItem actionItem = quickAction.getActionItem(pos);
				if(actionId == ID_Sea){
					Intent i = new Intent(Menu.this, Search.class);
					startActivity(i);
				}
				else{
					Toast.makeText(getApplicationContext(), actionItem.getTitle() + " selected", Toast.LENGTH_SHORT).show();
				}
			}
		});

		TextView email = (TextView) findViewById(R.id.text_email);
		email.setText(new StringBuilder().append(Values.email));

		Button perfil = (Button) this.findViewById(R.id.menuA);
		perfil.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				mQuickAction.show(v);
				mQuickAction.setAnimStyle(QuickAction.ANIM_GROW_FROM_CENTER);
			}
		});

		Button viajar = (Button) this.findViewById(R.id.menuB);
		viajar.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				vQuickAction.show(v);
				vQuickAction.setAnimStyle(QuickAction.ANIM_GROW_FROM_LEFT);				
			}
		});

		Button sair = (Button) this.findViewById(R.id.menuC);
		sair.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {

				AlertDialog.Builder alertDialog = new AlertDialog.Builder(v.getContext());				
				alertDialog.setTitle("Sair");
				alertDialog.setMessage("Tem a certeza?");
				alertDialog.setPositiveButton("Sim", new DialogInterface.OnClickListener() {
					public void onClick(DialogInterface dialog, int which) {
						finish();
					}
				});
				alertDialog.setNeutralButton("No", new DialogInterface.OnClickListener() {

					public void onClick(DialogInterface dialog, int which) {

					}
				});
				alertDialog.setIcon(R.drawable.icon);
				alertDialog.show();

			}
		});

		g1 = (Gallery) findViewById(R.id.sponsor);
		g1.setSpacing(2);

		g1.setAdapter(new ImageAdapter(this));


	}

	public class ImageAdapter extends BaseAdapter {

		public ImageAdapter(Context c) {
			mContext = c;
		}

		public int getCount() {
			return mImageIds.length;
		}

		public Object getItem(int position) {
			return position;
		}

		public long getItemId(int position) {
			return position;
		}

		public View getView(int position, View convertView, ViewGroup parent) {

			ImageView i = new ImageView(mContext);

			i.setImageResource(mImageIds[position]);
			i.setScaleType(ImageView.ScaleType.CENTER);
			i.setLayoutParams(new Gallery.LayoutParams(200, 200));
			return i;
		}

		private Context mContext;

		private Integer[] mImageIds = {
				R.drawable.sponsor,
				R.drawable.sponsor,
				R.drawable.sponsor,
				R.drawable.sponsor,
				R.drawable.sponsor,
				R.drawable.sponsor,
				R.drawable.sponsor,
		};
	}

}
