package com.Inc.Travel;

import java.util.Calendar;
import android.app.Activity;
import android.app.DatePickerDialog;
import android.app.Dialog;
import android.app.TimePickerDialog;
import android.app.TimePickerDialog.OnTimeSetListener;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.SeekBar;
import android.widget.TextView;
import android.widget.TimePicker;

public class Search extends Activity {

	private TextView mDateDisplay, mTimeDisplay, mCustoDisplay, mDuracaoDisplay, mRaioDislay;
	private Button mPickDate, mPickTime, menu, search;
	private SeekBar mSCusto, mSDuracao, mSRaio;

	private int mYear, mDay, mMonth;
	private int mHour, mMin, mCusto, mDuracao, mRaio;

	static final int DATE_DIALOG_ID = 0, TIME_DIALOG_ID = 1;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.searchtra);

		// capture our View elements
		mDateDisplay = (TextView) findViewById(R.id.dateDisplay);
		mPickDate = (Button) findViewById(R.id.pickDate);
		mTimeDisplay = (TextView) findViewById(R.id.timeDisplay);
		mPickTime = (Button) findViewById(R.id.pickTime);
		menu = (Button) findViewById(R.id.buttonBackMenu);
		search = (Button) findViewById(R.id.buttonSearch);
		
		mCustoDisplay = (TextView) findViewById(R.id.textCustoR);
		mDuracaoDisplay = (TextView) findViewById(R.id.textDuracaoR);
		mRaioDislay = (TextView) findViewById(R.id.textRaioR);
		
		mSCusto = (SeekBar) findViewById(R.id.seekCusto);
		mSDuracao = (SeekBar) findViewById(R.id.seekDuracao);
		mSRaio = (SeekBar) findViewById(R.id.seekRaio);

		// add a click listener to the button
		mPickDate.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				showDialog(DATE_DIALOG_ID);
			}
		});

		mPickTime.setOnClickListener(new View.OnClickListener() {
			public void onClick(View v) {
				showDialog(TIME_DIALOG_ID);
			}
		});

		
		menu.setOnClickListener(new View.OnClickListener() {
			
			public void onClick(View v) {
				finish();
			}
		});
		
		search.setOnClickListener(new View.OnClickListener() {
			
			public void onClick(View v) {
				Intent i = new Intent(Search.this, Travels.class);
				startActivity(i);
				finish();
				
			}
		});
		
		
		
		mSCusto.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener(){

			public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {
				if (seekBar == mSCusto){
					mCusto = progress;
					updateDisplay();
				}

			}

			public void onStartTrackingTouch(SeekBar seekBar) {
			}

			public void onStopTrackingTouch(SeekBar seekBar) {
			}

		});
		
		mSDuracao.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
			
			public void onStopTrackingTouch(SeekBar arg0) {
			}
			
			public void onStartTrackingTouch(SeekBar arg0) {
			}
			
			public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {
				if (seekBar == mSDuracao){
					mDuracao = progress;
					updateDisplay();
				}
				
			}
		});
		
		mSRaio.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
			
			public void onStopTrackingTouch(SeekBar seekBar) {
				// TODO Auto-generated method stub
				
			}
			
			public void onStartTrackingTouch(SeekBar seekBar) {
				// TODO Auto-generated method stub
				
			}
			
			public void onProgressChanged(SeekBar arg0, int arg1, boolean arg2) {
				if(arg0 == mSRaio){
					mRaio = arg1;
					updateDisplay();
				}
				
			}
		});

		// get the current date
		final Calendar c = Calendar.getInstance();
		mYear = c.get(Calendar.YEAR);
		mMonth = c.get(Calendar.MONTH);
		mDay = c.get(Calendar.DAY_OF_MONTH);
		mHour = c.get(Calendar.HOUR_OF_DAY) + 1;
		mMin = c.get(Calendar.MINUTE);

		//seekbar definitions
		mSCusto.incrementProgressBy(0);
		mSCusto.setMax(100);
		mSDuracao.incrementProgressBy(0);
		mSDuracao.setMax(5);
		mSRaio.incrementProgressBy(0);
		mSRaio.setMax(5);
		
		mCustoDisplay.setText(mCusto + " ");
		mDuracaoDisplay.setText(mDuracao + " H");
		mRaioDislay.setText(mRaio + " Km");
		
		// display the current date
		updateDisplay();
	}

	@Override
	protected Dialog onCreateDialog(int id) {
		switch (id) {
		case DATE_DIALOG_ID:
			return new DatePickerDialog(this,
					mDateSetListener,
					mYear, mMonth, mDay);
		case TIME_DIALOG_ID:
			return new TimePickerDialog(this,
					mTimeSetListener,
					mHour, mMin, true);
		}

		return null;
	}

	// updates the date we display in the TextView
	private void updateDisplay() {
		mDateDisplay.setText(
				new StringBuilder()
				.append(mDay).append("-")
				.append(mMonth + 1).append("-")
				.append(mYear).append("   "));
		mTimeDisplay.setText(
				new StringBuilder()
				.append(mHour).append(":")
				.append(mMin).append(" "));

		mCustoDisplay.setText(mCusto + " ");
		
		mDuracaoDisplay.setText(mDuracao + " H");
		
		mRaioDislay.setText(mRaio + " Km");
	}

	// the callback received when the user "sets" the date in the dialog
	private DatePickerDialog.OnDateSetListener mDateSetListener =
			new DatePickerDialog.OnDateSetListener() {

		public void onDateSet(DatePicker view, int year, 
				int monthOfYear, int dayOfMonth) {
			mYear = year;
			mMonth = monthOfYear;
			mDay = dayOfMonth;
			updateDisplay();
		}
	};

	private OnTimeSetListener mTimeSetListener =
			new TimePickerDialog.OnTimeSetListener() {

		public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
			mHour = hourOfDay;
			mMin = minute;
			updateDisplay();
		}
	};
}

